Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.daemon.configuration
Class SshAPIConfiguration

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          com.sshtools.daemon.configuration.SshAPIConfiguration

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler, SshAPIConfiguration

public class SshAPIConfiguration
extends org.xml.sax.helpers.DefaultHandler
implements SshAPIConfiguration

DOCUMENT ME!

Constructor Summary
`SshAPIConfiguration(java.io.InputStream in)` Creates a new SshAPIConfiguration object.

Method Summary
`void` | `characters(char[] ch, int start, int length)` DOCUMENT ME!
`void` | `endElement(java.lang.String uri, java.lang.String localName, java.lang.String qname)` DOCUMENT ME!
`java.util.List` | `getAuthenticationExtensions()` DOCUMENT ME!
`java.util.List` | `getCipherExtensions()` DOCUMENT ME!
`java.util.List` | `getCompressionExtensions()` DOCUMENT ME!
`java.lang.String` | `getDefaultCipher()` DOCUMENT ME!
`java.lang.String` | `getDefaultCompression()` DOCUMENT ME!
`java.lang.String` | `getDefaultKeyExchange()` DOCUMENT ME!
`java.lang.String` | `getDefaultMac()` DOCUMENT ME!
`java.lang.String` | `getDefaultPrivateKeyFormat()` DOCUMENT ME!
`java.lang.String` | `getDefaultPublicKey()` DOCUMENT ME!
`java.lang.String` | `getDefaultPublicKeyFormat()` DOCUMENT ME!
`java.util.List` | `getKeyExchangeExtensions()` DOCUMENT ME!
`java.util.List` | `getMacExtensions()` DOCUMENT ME!
`java.util.List` | `getPrivateKeyFormats()` DOCUMENT ME!
`java.util.List` | `getPublicKeyExtensions()` DOCUMENT ME!
`java.util.List` | `getPublicKeyFormats()` DOCUMENT ME!
`void` | `reload(java.io.InputStream in)` DOCUMENT ME!
`void` | `startElement(java.lang.String uri, java.lang.String localName, java.lang.String qname, org.xml.sax.Attributes attrs)` DOCUMENT ME!
`java.lang.String` | `toString()` DOCUMENT ME!

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SshAPIConfiguration

    public SshAPIConfiguration(java.io.InputStream in)
                        throws org.xml.sax.SAXException,
                               javax.xml.parsers.ParserConfigurationException,
                               java.io.IOException

  Creates a new SshAPIConfiguration object.

Parameters:
  `in` - DOCUMENT ME!
Throws:
  `org.xml.sax.SAXException` - DOCUMENT ME!
  `javax.xml.parsers.ParserConfigurationException` - DOCUMENT ME!
  `java.io.IOException` - DOCUMENT ME!

Method Detail

### reload

    public void reload(java.io.InputStream in)
                throws org.xml.sax.SAXException,
                       javax.xml.parsers.ParserConfigurationException,
                       java.io.IOException

  DOCUMENT ME!

  Parameters:
    `in` - DOCUMENT ME!
  Throws:
    `org.xml.sax.SAXException` - DOCUMENT ME!
    `javax.xml.parsers.ParserConfigurationException` - DOCUMENT ME!
    `java.io.IOException` - DOCUMENT ME!

### characters

    public void characters(char[] ch,
                           int start,
                           int length)
                    throws org.xml.sax.SAXException

  DOCUMENT ME!

  Specified by:
    `characters` in interface `org.xml.sax.ContentHandler`
  Parameters:
    `ch` - DOCUMENT ME!
    `start` - DOCUMENT ME!
    `length` - DOCUMENT ME!
  Throws:
    `org.xml.sax.SAXException` - DOCUMENT ME!

### endElement

    public void endElement(java.lang.String uri,
                           java.lang.String localName,
                           java.lang.String qname)
                    throws org.xml.sax.SAXException

  DOCUMENT ME!

  Specified by:
    `endElement` in interface `org.xml.sax.ContentHandler`
  Parameters:
    `uri` - DOCUMENT ME!
    `localName` - DOCUMENT ME!
    `qname` - DOCUMENT ME!
  Throws:
    `org.xml.sax.SAXException` - DOCUMENT ME!

### startElement

    public void startElement(java.lang.String uri,
                             java.lang.String localName,
                             java.lang.String qname,
                             org.xml.sax.Attributes attrs)
                      throws org.xml.sax.SAXException

  DOCUMENT ME!

  Specified by:
    `startElement` in interface `org.xml.sax.ContentHandler`
  Parameters:
    `uri` - DOCUMENT ME!
    `localName` - DOCUMENT ME!
    `qname` - DOCUMENT ME!
    `attrs` - DOCUMENT ME!
  Throws:
    `org.xml.sax.SAXException` - DOCUMENT ME!

### getCompressionExtensions

    public java.util.List getCompressionExtensions()

  DOCUMENT ME!

  Specified by:
    `getCompressionExtensions` in interface `SshAPIConfiguration`
  Returns:
    DOCUMENT ME!

### getCipherExtensions

    public java.util.List getCipherExtensions()

  DOCUMENT ME!

  Specified by:
    `getCipherExtensions` in interface `SshAPIConfiguration`
  Returns:
    DOCUMENT ME!

### getMacExtensions

    public java.util.List getMacExtensions()

  DOCUMENT ME!

  Specified by:
    `getMacExtensions` in interface `SshAPIConfiguration`
  Returns:
    DOCUMENT ME!

### getAuthenticationExtensions

    public java.util.List getAuthenticationExtensions()

  DOCUMENT ME!

  Specified by:
    `getAuthenticationExtensions` in interface `SshAPIConfiguration`
  Returns:
    DOCUMENT ME!

### getPublicKeyExtensions

    public java.util.List getPublicKeyExtensions()

  DOCUMENT ME!

  Specified by:
    `getPublicKeyExtensions` in interface `SshAPIConfiguration`
  Returns:
    DOCUMENT ME!

### getKeyExchangeExtensions

    public java.util.List getKeyExchangeExtensions()

  DOCUMENT ME!

  Specified by:
    `getKeyExchangeExtensions` in interface `SshAPIConfiguration`
  Returns:
    DOCUMENT ME!

### getDefaultCipher

    public java.lang.String getDefaultCipher()

  DOCUMENT ME!

  Specified by:
    `getDefaultCipher` in interface `SshAPIConfiguration`
  Returns:
    DOCUMENT ME!

### getDefaultMac

    public java.lang.String getDefaultMac()

  DOCUMENT ME!

  Specified by:
    `getDefaultMac` in interface `SshAPIConfiguration`
  Returns:
    DOCUMENT ME!

### getDefaultCompression

    public java.lang.String getDefaultCompression()

  DOCUMENT ME!

  Specified by:
    `getDefaultCompression` in interface `SshAPIConfiguration`
  Returns:
    DOCUMENT ME!

### getDefaultPublicKey

    public java.lang.String getDefaultPublicKey()

  DOCUMENT ME!

  Specified by:
    `getDefaultPublicKey` in interface `SshAPIConfiguration`
  Returns:
    DOCUMENT ME!

### getDefaultKeyExchange

    public java.lang.String getDefaultKeyExchange()

  DOCUMENT ME!

  Specified by:
    `getDefaultKeyExchange` in interface `SshAPIConfiguration`
  Returns:
    DOCUMENT ME!

### getDefaultPublicKeyFormat

    public java.lang.String getDefaultPublicKeyFormat()

  DOCUMENT ME!

  Specified by:
    `getDefaultPublicKeyFormat` in interface `SshAPIConfiguration`
  Returns:
    DOCUMENT ME!

### getDefaultPrivateKeyFormat

    public java.lang.String getDefaultPrivateKeyFormat()

  DOCUMENT ME!

  Specified by:
    `getDefaultPrivateKeyFormat` in interface `SshAPIConfiguration`
  Returns:
    DOCUMENT ME!

### getPublicKeyFormats

    public java.util.List getPublicKeyFormats()

  DOCUMENT ME!

  Specified by:
    `getPublicKeyFormats` in interface `SshAPIConfiguration`
  Returns:
    DOCUMENT ME!

### getPrivateKeyFormats

    public java.util.List getPrivateKeyFormats()

  DOCUMENT ME!

  Specified by:
    `getPrivateKeyFormats` in interface `SshAPIConfiguration`
  Returns:
    DOCUMENT ME!

### toString

    public java.lang.String toString()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD